/*
   rdesktop: A Remote Desktop Protocol client.
   keyboard layout -- mapping to dos keybcodes... 
   Copyright (C) Matthew Chapman 1999-2000

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/


/* if you wish to add or modify:
   the proper values can be found on a windows machine at:
   HKEY_LM\SYSTEM\CurrentControlSet\Control\Keyboard Layout\Dos\KeybCodes
*/
struct
{
	char *key;
	unsigned int code;
} static const dosKeybCodes[] = {
	{"bg",0x402},
	{"ch",0x404},
	{"cz",0x405},
	{"dk",0x406},
	{"gr",0x407},
	{"gk",0x408},
	{"us",0x409},
	{"sp",0x40a},
	{"su",0x40b},
	{"fr",0x40c},
	{"hu",0x40e},
	{"is",0x40f},
	{"it",0x410},
	{"jp",0x411},
	{"ko",0x412},
	{"nl",0x413},
	{"no",0x414},
	{"pl",0x415},
	{"br",0x416},
	{"ro",0x418},
	{"ru",0x419},
	{"yu",0x41a},
	{"sl",0x41b},
	{"us",0x41c},
	{"sv",0x41d},
	{"tr",0x41f},
	{"us0",0x422},
	{"us1",0x423},
	{"yu",0x424},
	{"et",0x425},
	{"us2",0x426},
	{"us3",0x427},
	{"ch",0x804},
	{"sg",0x807},
	{"uk",0x809},
	{"la",0x80a},
	{"be",0x80c},
	{"be",0x813},
	{"po",0x816},
	{"cf",0xc0c},
	{"us4",0xc1a},
	{"us5",0x1009},
	{"sf",0x100c},
	{"us6",0x1809},
	{"us7",0x10402},
	{"cz",0x10405},
	{"gr",0x10407},
	{"gk",0x10408},
	{"dv",0x10409},
	{"sp",0x1040a},
	{"hu",0x1040e},
	{"it",0x10410},
	{"pl",0x10415},
	{"ru",0x10419},
	{"sl",0x1041b},
	{"tr",0x1041f},
	{"us8",0x10426},
	{"cf",0x10c0c},
	{"us9",0x10c1a},
	{"gk",0x20408},
	{"us10",0x20409},
	{"usl",0x30409},
	{"usr",0x40409},
	{"gk",0x50408},
	{NULL, 0}
};



